Subject: Re: bind and O_NONBLOCK

From: Evgeniy Polyakov <[email-masked]>
Date: Sat, 22 Sep 2007 21:40:43 +0400

On Sat, Sep 22, 2007 at 01:35:56PM -0400, Alan Cox ([email-masked]) wrote:
> On Sat, Sep 22, 2007 at 08:14:15PM +0400, Evgeniy Polyakov wrote:
> > of operations. There are four ways where bind can fail:
> > 
> > 1. unsufficient rights - nothing can help here
> > 2. there is no memory - async binding can not help here too, since it
> > 	some memory just has to be allocated to save async request
> > 	somewhere.
> > 3. socket is locked.
> > 4. addres is being bound is in use.
> 
> For most protocols yes - but not all. For things like IP specifying O_NDELAY
> is meaningless on a bind it will always complete on the spot as you say

Yes, of course, bind conflict can be handled in different way as Ulrich noted - 
from checking bind bucket, to request remote node if address is in use or not.

-- 
	Evgeniy Polyakov